com.google.gwt.http.client

## Class RequestPermissionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.gwt.http.client.RequestException
      - - com.google.gwt.http.client.RequestPermissionException

All Implemented Interfaces:
  java.io.Serializable

    public class RequestPermissionException
    extends RequestException

Exception thrown when the `RequestBuilder` attempts to make a request to a URL which violates the Same-Origin Security Policy.

Note: this exception will only be thrown by browsers that do not support CORS, i.e. Internet Explorer up to version 9. All other browsers will instead return a `status code` of 0. Internet Explorer can also be configured to allow such cross-origin requests without error and without using CORS.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestPermissionException(java.lang.String url)` Constructs an instance of this class for the given URL.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getURL()` Returns the URL which we cannot access.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestPermissionException

    public RequestPermissionException(java.lang.String url)

Constructs an instance of this class for the given URL.

Parameters:
  `url` - the URL which cannot be accessed

### Method Detail

#### getURL

    public java.lang.String getURL()

Returns the URL which we cannot access.

Returns:
  the URL which we cannot access.